Subject: Re: booting 2.6 kernel on ML403

From: "David H. Lynch Jr." <[email-masked]>
Date: Fri, 06 Oct 2006 04:50:45 -0400

Ming Liu wrote:
> Hello Ameet,
> I am using that driver very well now. There is only one problem. It
> seems that the driver for TEMAC only support Gigabit Enet, not
> 10/100/1000M adapted. But because I want to use the Gigabit enet, I
> don't care that. So it's OK, at lease for 1Gbit/s.
It is fairly easy to mangle the TEMAC driver for any fixed rate you
want. I added a spd value to the device data, set it to whatever I want
in the initcode, and
changed the SetSpeed () call to use the device data value instead of a
constant.
That was a 2 min kludge. At some point it needs real autonegotiation -
which should not be too hard.

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein